'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.update = exports.disable = exports.enable = undefined;

var _exec = require('./exec');

const enable = exports.enable = (time = 60) => {
  (0, _exec.runSync)('xset', ['s', time, time, '+dpms'], { env: { DISPLAY: ':0' } });
};

const disable = exports.disable = () => {
  (0, _exec.runSync)('xset', ['s', 'off', '-dpms'], { env: { DISPLAY: ':0' } });
};

const update = exports.update = config => {
  if (config.screensaver) {
    enable(config.screensaver);
  } else {
    disable();
  }
};
//# sourceMappingURL=screensaver.js.map