'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.onConfigUpdated = undefined;

var _nightingale = require('nightingale');

var _nightingale2 = _interopRequireDefault(_nightingale);

var _config = require('./config');

var _screen = require('./commands/screen');

var screen = _interopRequireWildcard(_screen);

var _sound = require('./commands/sound');

var sound = _interopRequireWildcard(_sound);

var _cron = require('./cron');

var _cron2 = _interopRequireDefault(_cron);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const logger = new _nightingale2.default('app:manager');

const update = (config, firstTime = false) => {
  (0, _cron2.default)(config);
  screen.update(config, firstTime);
  sound.update(config);
};

process.nextTick(() => {
  update((0, _config.get)(), true);
});

const onConfigUpdated = exports.onConfigUpdated = newConfig => {
  logger.info('config updated');
  if (!(0, _config.updateConfig)(newConfig)) return;
  update(newConfig);
};
//# sourceMappingURL=manager.js.map