import { runSync } from './exec';

export const enable = (time: number = 60) => {
  runSync('xset', ['s', time, time, '+dpms'], { env: { DISPLAY: ':0' } });
};

export const disable = () => {
  runSync('xset', ['s', 'off', '-dpms'], { env: { DISPLAY: ':0' } });
};

export const update = (config: Object) => {
  if (config.screensaver) {
    enable(config.screensaver);
  } else {
    disable();
  }
};
